Subject: [Healeys] Blue Streak Ignition Product

From: "Robert F. Begani" <[email-masked]>
Date: Fri, 25 Jul 2014 15:33:45 -0400

Standard motor parts is a firm which primary product range was Blue Streak
Ignition parts.  It is still operating and manufacturing in the USA and has
bought up many ignition parts firms due to consolidation in the industry
during the past 30 years, Echlin, BWD, Niehoff and others.  Napa is a main
distributor of all their products, if you have a part number they should be
able to get the ignition part, i.e. points, condenser, coil and so on.
Harley Davidson, Tractor, and Truck vintage enthusiasts swear by the
quality. If napa cannot help you contact: smpcorp.com   Back in the day, I
knew some makers and shakers in this firm. I think it is still owned by the
original family even though it is on the NYSE 

Why do the English drink warm beer, Lucas refrigeration---Laugh

Bob Begani  BJ8 
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys